io.vertx.ext.mongo

## Class IndexOptionDefaults

- java.lang.Object
- - io.vertx.ext.mongo.IndexOptionDefaults

-     public class IndexOptionDefaults
      extends Object

  The default options for a collection to apply on the creation of indexes.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexOptionDefaults()`
    `IndexOptionDefaults(JsonObject json)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `JsonObject` | `getStorageEngine()` Gets the default storage engine options document for indexes.
    `int` | `hashCode()`
    `IndexOptionDefaults` | `setStorageEngine(JsonObject storageEngine)` Sets the default storage engine options document for indexes.
    `JsonObject` | `toJson()`
    `com.mongodb.client.model.IndexOptionDefaults` | `toMongoDriverObject()` Returns the mongo-java-driver specific object.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IndexOptionDefaults

          public IndexOptionDefaults()

    - #### IndexOptionDefaults

          public IndexOptionDefaults(JsonObject json)

  - ### Method Detail

    - #### toJson

          public JsonObject toJson()

    - #### toMongoDriverObject

          public com.mongodb.client.model.IndexOptionDefaults toMongoDriverObject()

      Returns the mongo-java-driver specific object.
      Returns:
        com.mongodb.client.model.IndexOptionDefaults

    - #### getStorageEngine

          public JsonObject getStorageEngine()

      Gets the default storage engine options document for indexes.
      Returns:
        storageEngine as JsonObject

    - #### setStorageEngine

          public IndexOptionDefaults setStorageEngine(JsonObject storageEngine)

      Sets the default storage engine options document for indexes.
      Parameters:
        `storageEngine` -
      Returns:
        IndexOptionDefaults

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2021 Eclipse. All rights reserved.